<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,20,20,25);
    $this->SetFont('Arial','B',14);
    $this->Ln(10);
    $this->Cell(80);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];$lectivo= $_GET['lectivo'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=utf8_decode($registro["nombreie"]);
		$departamento=utf8_decode($registro["departamentoie"]);
		$municipio=utf8_decode($registro["municipioie"]);
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=utf8_decode($registro["resolucionie"]);
		$rector=utf8_decode($registro["rectorie"]);
	}
	$nomsede=utf8_decode($_GET['nomsede']);
    $this->Cell(40,0,$institucion,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','B',10);
    $this->Cell(80);
    $this->Cell(40,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','B',8);
    $this->Cell(80);
    $this->Cell(40,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','I',10);
    $this->Cell(80);
    $this->Cell(40,0,$nomsede,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','B',12);
    $this->Cell(80);
    $this->Cell(40,0,'HOJA DE REGISTRO DE MATRICULAS AÑO LECTIVO '.substr($lectivo,1,4),0,0,'C');
    $this->Ln(5);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=utf8_decode($registro["nemoie"]);
		$direccion=utf8_decode($registro["direccionie"]);
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co',0,0,'R');

}
}
$pdf = new PDF('P','mm','letter');
$pdf->SetMargins(30, 10, 5, 1); // Margen izquierdo de 20, Superior 10 y se maneja un ancho de 180 para el contenido, Margen derecho de 5, Margen inferior de 1

// Creación del objeto de la clase heredada

$bdie=$_GET['bdie'];
$idi=$_GET['idi'];
$danesede=$_GET['danesede'];
$nomsede= $_GET['nomsede'];
$periodo= $_GET['periodo'];
$lectivo= $_GET['lectivo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];
$nuid=$_POST['nuid'];

include("../php/conexion-infogeneral.php");
$DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
if(mysql_num_rows($DatosInstitucion)>0) {
	$registro=mysql_fetch_array($DatosInstitucion);
	$institucion=utf8_decode($registro["nombreie"]);
	$departamento=utf8_decode($registro["departamentoie"]);
	$municipio=$registro["municipioie"];
	$dane=$registro["daneie"];
	$nit=$registro["nitie"];
	$resolucion=utf8_decode($registro["resolucionie"]);
	$rector=utf8_decode($registro["rectorie"]);
	$secretaria=utf8_decode($registro["secretariaie"]);
}

include("../php/conexion-bdie.php");
$contador=0;
$reggrados=mysql_query("Select grado From datos_grados Where idgrado='$grado'",$db_basededatosie);
if(mysql_num_rows($reggrados)>0){
	$FilaGrado=mysql_fetch_array($reggrados);
	$descripciongrado=utf8_decode($FilaGrado["grado"]);
}
$descripciongrupo=substr($grupo,17,1);
$contador=0;
$regestudiantes=mysql_query("Select * From datos_estudiantes Where nuid='$nuid'",$db_basededatosie);
if(mysql_num_rows($regestudiantes)>0){
	$FilaEstudiante=mysql_fetch_array($regestudiantes);
	$estudiantesdesordenados[$contador][0]=utf8_decode($FilaEstudiante["apellidos"]);
	$estudiantesdesordenados[$contador][1]=utf8_decode($FilaEstudiante["nombres"]);
	$estudiantesdesordenados[$contador][2]=$nuid;
	$estudiantesdesordenados[$contador][3]=$FilaEstudiante["documento"];
	$estudiantesdesordenados[$contador][4]=$FilaEstudiante["rh"];
	$estudiantesdesordenados[$contador][5]=$descripciongrado;
	$estudiantesdesordenados[$contador][6]=$descripciongrupo;
	$estudiantesdesordenados[$contador][7]=$FilaEstudiante["tipodocumento"];
	$estudiantesdesordenados[$contador][8]=substr($FilaEstudiante["fechanacimiento"],0,10);
	$estudiantesdesordenados[$contador][9]=$FilaEstudiante["muninacimiento"];
	$estudiantesdesordenados[$contador][10]=$FilaEstudiante["genero"];
	$estudiantesdesordenados[$contador][11]=utf8_decode($FilaEstudiante["eps"]);
	$estudiantesdesordenados[$contador][12]=$FilaEstudiante["estrato"];
	$estudiantesdesordenados[$contador][13]=$FilaEstudiante["sisben"];
	$estudiantesdesordenados[$contador][14]=$FilaEstudiante["discapacidad"];
	$estudiantesdesordenados[$contador][15]=$FilaEstudiante["capacidad"];
	$estudiantesdesordenados[$contador][16]=$FilaEstudiante["victima"];
	$estudiantesdesordenados[$contador][17]=$FilaEstudiante["etnia"];
	$estudiantesdesordenados[$contador][18]=utf8_decode($FilaEstudiante["direccion"]);
	$estudiantesdesordenados[$contador][19]=$FilaEstudiante["telefono"];
	$estudiantesdesordenados[$contador][20]=$FilaEstudiante["movil"];
	$estudiantesdesordenados[$contador][21]=$FilaEstudiante["correo"];
	$estudiantesdesordenados[$contador][22]=utf8_decode($FilaEstudiante["papa"]);
	$estudiantesdesordenados[$contador][23]=$FilaEstudiante["movilpapa"];
	$estudiantesdesordenados[$contador][24]=utf8_decode($FilaEstudiante["mama"]);
	$estudiantesdesordenados[$contador][25]=$FilaEstudiante["movilmama"];
	$estudiantesdesordenados[$contador][26]=utf8_decode($FilaEstudiante["acudiente"]);
	$estudiantesdesordenados[$contador][27]=$FilaEstudiante["movilacudiente"];
	$estudiantesdesordenados[$contador][28]=$FilaEstudiante["correoacudiente"];
	$estudiantesdesordenados[$contador][29]=date("Y/m/d");

	$pdf->AddPage();$i=0;
	$pdf->SetFont('Arial','B',11);$pdf->Cell(180,8,$estudiantesdesordenados[$i][0].' '.$estudiantesdesordenados[$i][1],1,1,'C');$pdf->Ln(2);
	$pdf->Ln(2);$pdf->SetFont('Arial','B',9);$pdf->Cell(180,6,'DATOS DE LA MATRICULA',1,1,'C');
	$pdf->SetFont('Arial','',8);$pdf->Cell(80,6,'     Grado:   '.$descripciongrado,1,0,'L');$pdf->Cell(60,6,'     Curso:   '.$descripciongrupo,1,0,'L');$pdf->Cell(40,6,'Fecha:   '.$estudiantesdesordenados[$i][29],1,1,'C');
	$pdf->Ln(2);$pdf->SetFont('Arial','B',9);$pdf->Cell(180,6,'DATOS DEL ESTUDIANTE',1,1,'C');

	$edad=substr($estudiantesdesordenados[$i][29],0,4)-substr($estudiantesdesordenados[$i][8],0,4);
	$pdf->SetFont('Arial','',8);$pdf->Cell(40,6,'     Tipo Documento:   '.$estudiantesdesordenados[$i][7],1,0,'L');$pdf->Cell(70,6,'     No. identificación:   '.$estudiantesdesordenados[$i][3],1,0,'L');$pdf->Cell(40,6,'     Código Sised:   '.substr($estudiantesdesordenados[$i][2],12,5),1,0,'L');$pdf->Cell(30,6,'Edad:   '.$edad.' Años',1,1,'L');
	$pdf->SetFont('Arial','',8);$pdf->Cell(60,6,'     Fecha de Nacimiento:   '.$estudiantesdesordenados[$i][8],1,0,'L');$pdf->Cell(90,6,'     Lugar de Nacimiento:   '.$estudiantesdesordenados[$i][9],1,0,'L');$pdf->Cell(30,6,'     Género:   '.$estudiantesdesordenados[$i][10],1,1,'L');
	$pdf->SetFont('Arial','',8);$pdf->Cell(70,6,'     Eps:   '.$estudiantesdesordenados[$i][11],1,0,'L');$pdf->Cell(40,6,'     Tipo Sangre:   '.$estudiantesdesordenados[$i][4],1,0,'L');$pdf->Cell(30,6,'     Estrato:   '.$estudiantesdesordenados[$i][12],1,0,'L');$pdf->Cell(40,6,'     Puntaje Sisben:   '.$estudiantesdesordenados[$i][13],1,1,'L');
	$pdf->SetFont('Arial','',8);$pdf->Cell(90,6,'     Discapacidad:   '.$estudiantesdesordenados[$i][14],1,0,'L');$pdf->Cell(90,6,'     Victima Conflicto:   '.$estudiantesdesordenados[$i][16],1,1,'L');
	$pdf->SetFont('Arial','',8);$pdf->Cell(100,6,'     Capacidad Excepcional:   '.$estudiantesdesordenados[$i][15],1,0,'L');$pdf->Cell(80,6,'     Etnia:   '.$estudiantesdesordenados[$i][17],1,1,'L');
	$pdf->SetFont('Arial','',8);$pdf->Cell(120,6,'     Dirección Residencia:   '.$estudiantesdesordenados[$i][18],1,0,'L');$pdf->Cell(60,6,'     Teléfono:   '.$estudiantesdesordenados[$i][19],1,1,'L');
	$pdf->SetFont('Arial','',8);$pdf->Cell(120,6,'     Correo Electrónico:   '.$estudiantesdesordenados[$i][21],1,0,'L');$pdf->Cell(60,6,'     Celular:   '.$estudiantesdesordenados[$i][20],1,1,'L');
	$pdf->Ln(2);$pdf->SetFont('Arial','B',9);$pdf->Cell(180,6,'DATOS FAMILIARES',1,1,'C');
	$pdf->SetFont('Arial','',8);$pdf->Cell(120,6,'     Padre:   '.$estudiantesdesordenados[$i][22],1,0,'L');$pdf->Cell(60,6,'     Celular:   '.$estudiantesdesordenados[$i][23],1,1,'L');
	$pdf->SetFont('Arial','',8);$pdf->Cell(120,6,'     Madre:   '.$estudiantesdesordenados[$i][24],1,0,'L');$pdf->Cell(60,6,'     Celular:   '.$estudiantesdesordenados[$i][25],1,1,'L');
	

	$pdf->Ln(2);$pdf->SetFont('Arial','B',9);$pdf->Cell(180,6,'RENOVACION MATRICULA',1,1,'C');
	$pdf->SetFont('Arial','',8);$pdf->Cell(20,6,'AÑO',1,0,'C');$pdf->Cell(30,6,'GRADO',1,0,'C');$pdf->Cell(40,6,'FECHA RENOVACION',1,0,'C');$pdf->Cell(30,6,'LIBRO/FOLIO',1,0,'C');$pdf->Cell(30,6,'ACUDIENTE',1,0,'C');$pdf->Cell(30,6,'ESTUDIANTE',1,1,'C');
	$pdf->Cell(20,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(40,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,1,'C');
	$pdf->Cell(20,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(40,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,1,'C');
	$pdf->Cell(20,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(40,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,1,'C');
	$pdf->Cell(20,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(40,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,1,'C');
	$pdf->Cell(20,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(40,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,1,'C');
	$pdf->Cell(20,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(40,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,0,'C');$pdf->Cell(30,6,'',1,1,'C');
	$pdf->Ln(2);$pdf->SetFont('Arial','B',9);$pdf->Cell(180,6,'OBSERVACIONES',1,1,'C');
	$pdf->SetFont('Arial','',8);$pdf->Cell(180,10,'',1,1,'L');

	$pdf->Ln(15);$pdf->SetFont('Arial','',7);$pdf->Cell(90,5,'___________________________________________',0,0,'L');$pdf->Cell(90,5,'___________________________________________',0,1,'L');
	$pdf->SetFont('Arial','',8);$pdf->Cell(90,5,'Rector(a)',0,0,'L');$pdf->Cell(90,5,'Secretario(a)',0,1,'L');
	$pdf->Ln(15);$pdf->SetFont('Arial','',7);$pdf->Cell(90,5,'___________________________________________',0,0,'L');$pdf->Cell(90,5,'___________________________________________',0,1,'L');
	$pdf->SetFont('Arial','',8);$pdf->Cell(90,5,'Acudiente',0,0,'L');$pdf->Cell(90,5,'Estudiante',0,1,'L');
}

$pdf->Output();
?> 